Index: include/avr/iotn2313.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iotn2313.h,v
retrieving revision 1.22
diff -u -r1.22 iotn2313.h
--- include/avr/iotn2313.h	11 Feb 2009 18:43:54 -0000	1.22
+++ include/avr/iotn2313.h	26 Mar 2009 20:10:36 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2004, 2005, 2006 Bob Paddock
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -499,81 +500,99 @@
 /* Interrupt vectors: */
 
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 #define SIG_INT0			_VECTOR(1)
 
 /* External Interrupt Request 1 */
+#define INT1_num 			2
 #define INT1_vect			_VECTOR(2)
 #define SIG_INTERRUPT1			_VECTOR(2)
 #define SIG_INT1			_VECTOR(2)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		3
 #define TIMER1_CAPT_vect		_VECTOR(3)
 #define SIG_INPUT_CAPTURE1		_VECTOR(3)
 #define SIG_TIMER1_CAPT			_VECTOR(3)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		4
 #define TIMER1_COMPA_vect		_VECTOR(4)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(4)
 #define SIG_TIMER1_COMPA		_VECTOR(4)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			5
 #define TIMER1_OVF_vect			_VECTOR(5)
 #define SIG_OVERFLOW1			_VECTOR(5)
 #define SIG_TIMER1_OVF			_VECTOR(5)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			6
 #define TIMER0_OVF_vect			_VECTOR(6)
 #define SIG_OVERFLOW0			_VECTOR(6)
 #define SIG_TIMER0_OVF			_VECTOR(6)
 
 /* USART, Rx Complete */
+#define USART_RX_num 			7
 #define USART_RX_vect			_VECTOR(7)
 #define SIG_USART0_RECV			_VECTOR(7)
 #define SIG_USART0_RX			_VECTOR(7)
 
 /* USART Data Register Empty */
+#define USART_UDRE_num 			8
 #define USART_UDRE_vect			_VECTOR(8)
 #define SIG_USART0_DATA			_VECTOR(8)
 #define SIG_USART0_UDRE			_VECTOR(8)
 
 /* USART, Tx Complete */
+#define USART_TX_num 			9
 #define USART_TX_vect			_VECTOR(9)
 #define SIG_USART0_TRANS		_VECTOR(9)
 #define SIG_USART0_TX			_VECTOR(9)
 
 /* Analog Comparator */
+#define ANA_COMP_num 			10
 #define ANA_COMP_vect			_VECTOR(10)
 #define SIG_COMPARATOR			_VECTOR(10)
 #define SIG_ANALOG_COMP			_VECTOR(10)
+#define PCINT_num 			11
 #define PCINT_vect			_VECTOR(11)
 #define SIG_PIN_CHANGE			_VECTOR(11)
 #define SIG_PCINT			_VECTOR(11)
+#define TIMER1_COMPB_num 		12
 #define TIMER1_COMPB_vect		_VECTOR(12)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(12)
 #define SIG_TIMER1_COMPB		_VECTOR(12)
+#define TIMER0_COMPA_num 		13
 #define TIMER0_COMPA_vect		_VECTOR(13)
 #define SIG_OUTPUT_COMPARE0A		_VECTOR(13)
 #define SIG_TIMER0_COMPA		_VECTOR(13)
+#define TIMER0_COMPB_num 		14
 #define TIMER0_COMPB_vect		_VECTOR(14)
 #define SIG_OUTPUT_COMPARE0B		_VECTOR(14)
 #define SIG_TIMER0_COMPB		_VECTOR(14)
 
 /* USI Start Condition */
+#define USI_START_num 			15
 #define USI_START_vect			_VECTOR(15)
 #define SIG_USI_START			_VECTOR(15)
 #define SIG_USI_START			_VECTOR(15)
 
 /* USI Overflow */
+#define USI_OVERFLOW_num 		16
 #define USI_OVERFLOW_vect		_VECTOR(16)
 #define SIG_USI_OVERFLOW		_VECTOR(16)
 #define SIG_USI_OVERFLOW		_VECTOR(16)
+#define EEPROM_READY_num 		17
 #define EEPROM_READY_vect		_VECTOR(17)
 #define SIG_EEPROM_READY		_VECTOR(17)
 #define SIG_EE_READY			_VECTOR(17)
 
 /* Watchdog Timer Overflow */
+#define WDT_OVERFLOW_num 		18
 #define WDT_OVERFLOW_vect		_VECTOR(18)
 #define SIG_WATCHDOG_TIMEOUT		_VECTOR(18)
 #define SIG_WDT_OVERFLOW		_VECTOR(18)
@@ -630,4 +649,111 @@
 #define SIGNATURE_2 0x0A
 
 
+/* Device Pin Definitions */
+#define DDR_AIN0  	DDRB
+#define PORT_AIN0 	PORTB
+#define PIN_AIN0  	PINB
+#define AIN0_IDX  	0
+
+#define DDR_AIN1  	DDRB
+#define PORT_AIN1 	PORTB
+#define PIN_AIN1  	PINB
+#define AIN1_IDX  	1
+
+#define DDR_OC0A  	DDRB
+#define PORT_OC0A 	PORTB
+#define PIN_OC0A  	PINB
+#define OC0A_IDX  	2
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	3
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	4
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	5
+
+#define DDR_DI  	DDRB
+#define PORT_DI 	PORTB
+#define PIN_DI  	PINB
+#define DI_IDX  	5
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	6
+
+#define DDR_DO  	DDRB
+#define PORT_DO 	PORTB
+#define PIN_DO  	PINB
+#define DO_IDX  	6
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	7
+
+#define DDR_SCL  	DDRB
+#define PORT_SCL 	PORTB
+#define PIN_SCL  	PINB
+#define SCL_IDX  	7
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	0
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	1
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	2
+
+#define DDR_XCK  	DDRD
+#define PORT_XCK 	PORTD
+#define PIN_XCK  	PIND
+#define XCK_IDX  	2
+
+#define DDR_CKOUT  	DDRD
+#define PORT_CKOUT 	PORTD
+#define PIN_CKOUT  	PIND
+#define CKOUT_IDX  	2
+
+#define DDR_INT1  	DDRD
+#define PORT_INT1 	PORTD
+#define PIN_INT1  	PIND
+#define INT1_IDX  	3
+
+#define DDR_T0  	DDRD
+#define PORT_T0 	PORTD
+#define PIN_T0  	PIND
+#define T0_IDX  	4
+
+#define DDR_T1  	DDRD
+#define PORT_T1 	PORTD
+#define PIN_T1  	PIND
+#define T1_IDX  	5
+
+#define DDR_OC0B  	DDRD
+#define PORT_OC0B 	PORTD
+#define PIN_OC0B  	PIND
+#define OC0B_IDX  	5
+
+#define DDR_ICP  	DDRD
+#define PORT_ICP 	PORTD
+#define PIN_ICP  	PIND
+#define ICP_IDX  	6
+
+
 #endif  /* _AVR_IOTN2313_H_ */
Index: include/avr/iom3250.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iom3250.h,v
retrieving revision 1.19
diff -u -r1.19 iom3250.h
--- include/avr/iom3250.h	11 Feb 2009 17:53:36 -0000	1.19
+++ include/avr/iom3250.h	26 Mar 2009 20:10:29 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2004, 2005, 2006, 2007 Eric B. Weddington
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -757,97 +758,123 @@
 /* Interrupt vectors */
 /* Vector 0 is the reset vector */
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT0_num 			2
 #define PCINT0_vect			_VECTOR(2)
 #define SIG_PIN_CHANGE0			_VECTOR(2)
 
 /* Pin Change Interrupt Request 1 */
+#define PCINT1_num 			3
 #define PCINT1_vect			_VECTOR(3)
 #define SIG_PIN_CHANGE1			_VECTOR(3)
 
 /* Timer/Counter2 Compare Match */
+#define TIMER2_COMP_num 		4
 #define TIMER2_COMP_vect		_VECTOR(4)
 #define SIG_OUTPUT_COMPARE2		_VECTOR(4)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			5
 #define TIMER2_OVF_vect			_VECTOR(5)
 #define SIG_OVERFLOW2			_VECTOR(5)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		6
 #define TIMER1_CAPT_vect		_VECTOR(6)
 #define SIG_INPUT_CAPTURE1		_VECTOR(6)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		7
 #define TIMER1_COMPA_vect		_VECTOR(7)
 #define SIG_OUTPUT_COMPARE1A	_VECTOR(7)
 
 /* Timer/Counter Compare Match B */
+#define TIMER1_COMPB_num 		8
 #define TIMER1_COMPB_vect		_VECTOR(8)
 #define SIG_OUTPUT_COMPARE1B	_VECTOR(8)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			9
 #define TIMER1_OVF_vect			_VECTOR(9)
 #define SIG_OVERFLOW1			_VECTOR(9)
 
 /* Timer/Counter0 Compare Match */
+#define TIMER0_COMP_num 		10
 #define TIMER0_COMP_vect		_VECTOR(10)
 #define SIG_OUTPUT_COMPARE0		_VECTOR(10)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			11
 #define TIMER0_OVF_vect			_VECTOR(11)
 #define SIG_OVERFLOW0			_VECTOR(11)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			12
 #define SPI_STC_vect			_VECTOR(12)
 #define SIG_SPI				    _VECTOR(12)
 
 /* USART, Rx Complete */
+#define USART_RX_num 			13
 #define USART_RX_vect			_VECTOR(13)
+#define USART0_RX_num 			13
 #define USART0_RX_vect			_VECTOR(13)  /* Alias */
 #define SIG_UART_RECV			_VECTOR(13)
 
 /* USART Data register Empty */
+#define USART_UDRE_num 			14
 #define USART_UDRE_vect			_VECTOR(14)
+#define USART0_UDRE_num 		14
 #define USART0_UDRE_vect		_VECTOR(14)  /* Alias */
 #define SIG_UART_DATA			_VECTOR(14)
 
 /* USART0, Tx Complete */
+#define USART0_TX_num 			15
 #define USART0_TX_vect			_VECTOR(15)
+#define USART_TX_num 			15
 #define USART_TX_vect			_VECTOR(15)  /* Alias */
 #define SIG_UART_TRANS			_VECTOR(15)
 
 /* USI Start Condition */
+#define USI_START_num 			16
 #define USI_START_vect			_VECTOR(16)
 #define SIG_USI_START			_VECTOR(16)
 
 /* USI Overflow */
+#define USI_OVERFLOW_num 		17
 #define USI_OVERFLOW_vect		_VECTOR(17)
 #define SIG_USI_OVERFLOW		_VECTOR(17)
 
 /* Analog Comparator */
+#define ANALOG_COMP_num 		18
 #define ANALOG_COMP_vect		_VECTOR(18)
 #define SIG_COMPARATOR			_VECTOR(18)
 
 /* ADC Conversion Complete */
+#define ADC_num 			19
 #define ADC_vect			_VECTOR(19)
 #define SIG_ADC				_VECTOR(19)
 
 /* EEPROM Ready */
+#define EE_READY_num 			20
 #define EE_READY_vect			_VECTOR(20)
 #define SIG_EEPROM_READY		_VECTOR(20)
 
 /* Store Program Memory Read */
+#define SPM_READY_num 			21
 #define SPM_READY_vect			_VECTOR(21)
 #define SIG_SPM_READY			_VECTOR(21)
 
 /* Pin Change Interrupt Request 2 */
+#define PCINT2_num 			23
 #define PCINT2_vect			_VECTOR(23)
 #define SIG_PIN_CHANGE2			_VECTOR(23)
 
 /* Pin Change Interrupt Request 3 */
+#define PCINT3_num 			24
 #define PCINT3_vect			_VECTOR(24)
 #define SIG_PIN_CHANGE3			_VECTOR(24)
 
@@ -908,4 +935,316 @@
 #define SIGNATURE_2 0x06
 
 
+/* Device Pin Definitions */
+#define DDR_SS  	DDRB
+#define PORT_SS 	PORTB
+#define PIN_SS  	PINB
+#define SS_IDX  	0
+
+#define DDR_PCINT8  	DDRB
+#define PORT_PCINT8 	PORTB
+#define PIN_PCINT8  	PINB
+#define PCINT8_IDX  	0
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	1
+
+#define DDR_PCINT9  	DDRB
+#define PORT_PCINT9 	PORTB
+#define PIN_PCINT9  	PINB
+#define PCINT9_IDX  	1
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	2
+
+#define DDR_PCINT10  	DDRB
+#define PORT_PCINT10 	PORTB
+#define PIN_PCINT10  	PINB
+#define PCINT10_IDX  	2
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	3
+
+#define DDR_PCINT11  	DDRB
+#define PORT_PCINT11 	PORTB
+#define PIN_PCINT11  	PINB
+#define PCINT11_IDX  	3
+
+#define DDR_OC0A  	DDRB
+#define PORT_OC0A 	PORTB
+#define PIN_OC0A  	PINB
+#define OC0A_IDX  	4
+
+#define DDR_PCINT12  	DDRB
+#define PORT_PCINT12 	PORTB
+#define PIN_PCINT12  	PINB
+#define PCINT12_IDX  	4
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	5
+
+#define DDR_PCINT13  	DDRB
+#define PORT_PCINT13 	PORTB
+#define PIN_PCINT13  	PINB
+#define PCINT13_IDX  	5
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	6
+
+#define DDR_PCINT14  	DDRB
+#define PORT_PCINT14 	PORTB
+#define PIN_PCINT14  	PINB
+#define PCINT14_IDX  	6
+
+#define DDR_OC2A  	DDRB
+#define PORT_OC2A 	PORTB
+#define PIN_OC2A  	PINB
+#define OC2A_IDX  	7
+
+#define DDR_PCINT15  	DDRB
+#define PORT_PCINT15 	PORTB
+#define PIN_PCINT15  	PINB
+#define PCINT15_IDX  	7
+
+#define DDR_ICP1  	DDRD
+#define PORT_ICP1 	PORTD
+#define PIN_ICP1  	PIND
+#define ICP1_IDX  	0
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	1
+
+#define DDR_RXD  	DDRE
+#define PORT_RXD 	PORTE
+#define PIN_RXD  	PINE
+#define RXD_IDX  	0
+
+#define DDR_PCINT0  	DDRE
+#define PORT_PCINT0 	PORTE
+#define PIN_PCINT0  	PINE
+#define PCINT0_IDX  	0
+
+#define DDR_TXD  	DDRE
+#define PORT_TXD 	PORTE
+#define PIN_TXD  	PINE
+#define TXD_IDX  	1
+
+#define DDR_PCINT1  	DDRE
+#define PORT_PCINT1 	PORTE
+#define PIN_PCINT1  	PINE
+#define PCINT1_IDX  	1
+
+#define DDR_XCK  	DDRE
+#define PORT_XCK 	PORTE
+#define PIN_XCK  	PINE
+#define XCK_IDX  	2
+
+#define DDR_AIN0  	DDRE
+#define PORT_AIN0 	PORTE
+#define PIN_AIN0  	PINE
+#define AIN0_IDX  	2
+
+#define DDR_PCINT2  	DDRE
+#define PORT_PCINT2 	PORTE
+#define PIN_PCINT2  	PINE
+#define PCINT2_IDX  	2
+
+#define DDR_AIN1  	DDRE
+#define PORT_AIN1 	PORTE
+#define PIN_AIN1  	PINE
+#define AIN1_IDX  	3
+
+#define DDR_PCINT3  	DDRE
+#define PORT_PCINT3 	PORTE
+#define PIN_PCINT3  	PINE
+#define PCINT3_IDX  	3
+
+#define DDR_USCK  	DDRE
+#define PORT_USCK 	PORTE
+#define PIN_USCK  	PINE
+#define USCK_IDX  	4
+
+#define DDR_SCL  	DDRE
+#define PORT_SCL 	PORTE
+#define PIN_SCL  	PINE
+#define SCL_IDX  	4
+
+#define DDR_PCINT4  	DDRE
+#define PORT_PCINT4 	PORTE
+#define PIN_PCINT4  	PINE
+#define PCINT4_IDX  	4
+
+#define DDR_DI  	DDRE
+#define PORT_DI 	PORTE
+#define PIN_DI  	PINE
+#define DI_IDX  	5
+
+#define DDR_SDA  	DDRE
+#define PORT_SDA 	PORTE
+#define PIN_SDA  	PINE
+#define SDA_IDX  	5
+
+#define DDR_PCINT5  	DDRE
+#define PORT_PCINT5 	PORTE
+#define PIN_PCINT5  	PINE
+#define PCINT5_IDX  	5
+
+#define DDR_DO  	DDRE
+#define PORT_DO 	PORTE
+#define PIN_DO  	PINE
+#define DO_IDX  	6
+
+#define DDR_PCINT6  	DDRE
+#define PORT_PCINT6 	PORTE
+#define PIN_PCINT6  	PINE
+#define PCINT6_IDX  	6
+
+#define DDR_CLKO  	DDRE
+#define PORT_CLKO 	PORTE
+#define PIN_CLKO  	PINE
+#define CLKO_IDX  	7
+
+#define DDR_PCINT7  	DDRE
+#define PORT_PCINT7 	PORTE
+#define PIN_PCINT7  	PINE
+#define PCINT7_IDX  	7
+
+#define DDR_ADC0  	DDRF
+#define PORT_ADC0 	PORTF
+#define PIN_ADC0  	PINF
+#define ADC0_IDX  	0
+
+#define DDR_ADC1  	DDRF
+#define PORT_ADC1 	PORTF
+#define PIN_ADC1  	PINF
+#define ADC1_IDX  	1
+
+#define DDR_ADC2  	DDRF
+#define PORT_ADC2 	PORTF
+#define PIN_ADC2  	PINF
+#define ADC2_IDX  	2
+
+#define DDR_ADC3  	DDRF
+#define PORT_ADC3 	PORTF
+#define PIN_ADC3  	PINF
+#define ADC3_IDX  	3
+
+#define DDR_ADC4  	DDRF
+#define PORT_ADC4 	PORTF
+#define PIN_ADC4  	PINF
+#define ADC4_IDX  	4
+
+#define DDR_ADC5  	DDRF
+#define PORT_ADC5 	PORTF
+#define PIN_ADC5  	PINF
+#define ADC5_IDX  	5
+
+#define DDR_ADC6  	DDRF
+#define PORT_ADC6 	PORTF
+#define PIN_ADC6  	PINF
+#define ADC6_IDX  	6
+
+#define DDR_ADC7  	DDRF
+#define PORT_ADC7 	PORTF
+#define PIN_ADC7  	PINF
+#define ADC7_IDX  	7
+
+#define DDR_T1  	DDRG
+#define PORT_T1 	PORTG
+#define PIN_T1  	PING
+#define T1_IDX  	3
+
+#define DDR_T0  	DDRG
+#define PORT_T0 	PORTG
+#define PIN_T0  	PING
+#define T0_IDX  	4
+
+#define DDR_PCINT16  	DDRH
+#define PORT_PCINT16 	PORTH
+#define PIN_PCINT16  	PINH
+#define PCINT16_IDX  	0
+
+#define DDR_PCINT17  	DDRH
+#define PORT_PCINT17 	PORTH
+#define PIN_PCINT17  	PINH
+#define PCINT17_IDX  	1
+
+#define DDR_PCINT18  	DDRH
+#define PORT_PCINT18 	PORTH
+#define PIN_PCINT18  	PINH
+#define PCINT18_IDX  	2
+
+#define DDR_PCINT19  	DDRH
+#define PORT_PCINT19 	PORTH
+#define PIN_PCINT19  	PINH
+#define PCINT19_IDX  	3
+
+#define DDR_PCINT20  	DDRH
+#define PORT_PCINT20 	PORTH
+#define PIN_PCINT20  	PINH
+#define PCINT20_IDX  	4
+
+#define DDR_PCINT21  	DDRH
+#define PORT_PCINT21 	PORTH
+#define PIN_PCINT21  	PINH
+#define PCINT21_IDX  	5
+
+#define DDR_PCINT22  	DDRH
+#define PORT_PCINT22 	PORTH
+#define PIN_PCINT22  	PINH
+#define PCINT22_IDX  	6
+
+#define DDR_PCINT23  	DDRH
+#define PORT_PCINT23 	PORTH
+#define PIN_PCINT23  	PINH
+#define PCINT23_IDX  	7
+
+#define DDR_PCINT24  	DDRJ
+#define PORT_PCINT24 	PORTJ
+#define PIN_PCINT24  	PINJ
+#define PCINT24_IDX  	0
+
+#define DDR_PCINT25  	DDRJ
+#define PORT_PCINT25 	PORTJ
+#define PIN_PCINT25  	PINJ
+#define PCINT25_IDX  	1
+
+#define DDR_PCINT26  	DDRJ
+#define PORT_PCINT26 	PORTJ
+#define PIN_PCINT26  	PINJ
+#define PCINT26_IDX  	2
+
+#define DDR_PCINT27  	DDRJ
+#define PORT_PCINT27 	PORTJ
+#define PIN_PCINT27  	PINJ
+#define PCINT27_IDX  	3
+
+#define DDR_PCINT28  	DDRJ
+#define PORT_PCINT28 	PORTJ
+#define PIN_PCINT28  	PINJ
+#define PCINT28_IDX  	4
+
+#define DDR_PCINT29  	DDRJ
+#define PORT_PCINT29 	PORTJ
+#define PIN_PCINT29  	PINJ
+#define PCINT29_IDX  	5
+
+#define DDR_PCINT30  	DDRJ
+#define PORT_PCINT30 	PORTJ
+#define PIN_PCINT30  	PINJ
+#define PCINT30_IDX  	6
+
+
 #endif /* _AVR_IOM3250_H_ */
Index: include/avr/iousbxx6_7.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iousbxx6_7.h,v
retrieving revision 1.5
diff -u -r1.5 iousbxx6_7.h
--- include/avr/iousbxx6_7.h	5 May 2008 01:58:07 -0000	1.5
+++ include/avr/iousbxx6_7.h	26 Mar 2009 20:10:37 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2006, Anatoly Sokolov 
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -1162,114 +1163,151 @@
 /* Interrupt vectors */
 
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 
 /* External Interrupt Request 1 */
+#define INT1_num 			2
 #define INT1_vect			_VECTOR(2)
 
 /* External Interrupt Request 2 */
+#define INT2_num 			3
 #define INT2_vect			_VECTOR(3)
 
 /* External Interrupt Request 3 */
+#define INT3_num 			4
 #define INT3_vect			_VECTOR(4)
 
 /* External Interrupt Request 4 */
+#define INT4_num 			5
 #define INT4_vect			_VECTOR(5)
 
 /* External Interrupt Request 5 */
+#define INT5_num 			6
 #define INT5_vect			_VECTOR(6)
 
 /* External Interrupt Request 6 */
+#define INT6_num 			7
 #define INT6_vect			_VECTOR(7)
 
 /* External Interrupt Request 7 */
+#define INT7_num 			8
 #define INT7_vect			_VECTOR(8)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT0_num 			9
 #define PCINT0_vect			_VECTOR(9)
 
 /* USB General Interrupt Request */
+#define USB_GEN_num 			10
 #define USB_GEN_vect			_VECTOR(10)
 
 /* USB Endpoint/Pipe Interrupt Communication Request */
+#define USB_COM_num 			11
 #define USB_COM_vect			_VECTOR(11)
 
 /* Watchdog Time-out Interrupt */
+#define WDT_num 			12
 #define WDT_vect			_VECTOR(12)
 
 /* Timer/Counter2 Compare Match A */
+#define TIMER2_COMPA_num 		13
 #define TIMER2_COMPA_vect		_VECTOR(13)
 
 /* Timer/Counter2 Compare Match B */
+#define TIMER2_COMPB_num 		14
 #define TIMER2_COMPB_vect		_VECTOR(14)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			15
 #define TIMER2_OVF_vect			_VECTOR(15)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		16
 #define TIMER1_CAPT_vect		_VECTOR(16)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		17
 #define TIMER1_COMPA_vect		_VECTOR(17)
 
 /* Timer/Counter1 Compare Match B */
+#define TIMER1_COMPB_num 		18
 #define TIMER1_COMPB_vect		_VECTOR(18)
 
 /* Timer/Counter1 Compare Match C */
+#define TIMER1_COMPC_num 		19
 #define TIMER1_COMPC_vect		_VECTOR(19)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			20
 #define TIMER1_OVF_vect			_VECTOR(20)
 
 /* Timer/Counter0 Compare Match A */
+#define TIMER0_COMPA_num 		21
 #define TIMER0_COMPA_vect		_VECTOR(21)
 
 /* Timer/Counter0 Compare Match B */
+#define TIMER0_COMPB_num 		22
 #define TIMER0_COMPB_vect		_VECTOR(22)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			23
 #define TIMER0_OVF_vect			_VECTOR(23)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			24
 #define SPI_STC_vect			_VECTOR(24)
 
 /* USART1, Rx Complete */
+#define USART1_RX_num 			25
 #define USART1_RX_vect			_VECTOR(25)
 
 /* USART1 Data register Empty */
+#define USART1_UDRE_num 		26
 #define USART1_UDRE_vect		_VECTOR(26)
 
 /* USART1, Tx Complete */
+#define USART1_TX_num 			27
 #define USART1_TX_vect			_VECTOR(27)
 
 /* Analog Comparator */
+#define ANALOG_COMP_num 		28
 #define ANALOG_COMP_vect		_VECTOR(28)
 
 /* ADC Conversion Complete */
+#define ADC_num 			29
 #define ADC_vect			_VECTOR(29)
 
 /* EEPROM Ready */
+#define EE_READY_num 			30
 #define EE_READY_vect			_VECTOR(30)
 
 /* Timer/Counter3 Capture Event */
+#define TIMER3_CAPT_num 		31
 #define TIMER3_CAPT_vect		_VECTOR(31)
 
 /* Timer/Counter3 Compare Match A */
+#define TIMER3_COMPA_num 		32
 #define TIMER3_COMPA_vect		_VECTOR(32)
 
 /* Timer/Counter3 Compare Match B */
+#define TIMER3_COMPB_num 		33
 #define TIMER3_COMPB_vect		_VECTOR(33)
 
 /* Timer/Counter3 Compare Match C */
+#define TIMER3_COMPC_num 		34
 #define TIMER3_COMPC_vect		_VECTOR(34)
 
 /* Timer/Counter3 Overflow */
+#define TIMER3_OVF_num 			35
 #define TIMER3_OVF_vect			_VECTOR(35)
 
 /* 2-wire Serial Interface */
+#define TWI_num 			36
 #define TWI_vect			_VECTOR(36)
 
 /* Store Program Memory Read */
+#define SPM_READY_num 			37
 #define SPM_READY_vect			_VECTOR(37)
 
 #define _VECTORS_SIZE 152
@@ -1282,4 +1320,6 @@
 # undef __AT90USBxx7__
 #endif /* __AT90USBxx7__ */
 
+/* Device Pin Definitions */
+
 #endif  /* _AVR_IOUSBXX6_7_H_ */
Index: include/avr/io2343.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/io2343.h,v
retrieving revision 1.13
diff -u -r1.13 io2343.h
--- include/avr/io2343.h	11 Feb 2009 17:53:34 -0000	1.13
+++ include/avr/io2343.h	26 Mar 2009 20:10:20 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2002, Marek Michalkiewicz
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -102,10 +103,12 @@
 /* Interrupt vectors */
 
 /* External Interrupt 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF0_num 		2
 #define TIMER0_OVF0_vect		_VECTOR(2)
 #define SIG_OVERFLOW0			_VECTOR(2)
 
@@ -206,4 +209,36 @@
 #define SIGNATURE_2 0x03
 
 
+/* Device Pin Definitions */
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	0
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	1
+
+#define DDR_INT0  	DDRB
+#define PORT_INT0 	PORTB
+#define PIN_INT0  	PINB
+#define INT0_IDX  	1
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	2
+
+#define DDR_T0  	DDRB
+#define PORT_T0 	PORTB
+#define PIN_T0  	PINB
+#define T0_IDX  	2
+
+#define DDR_CLOCK  	DDRB
+#define PORT_CLOCK 	PORTB
+#define PIN_CLOCK  	PINB
+#define CLOCK_IDX  	3
+
+
 #endif /* _AVR_IO2343_H_ */
